# Function hsl

- hsl(hue: number, saturation: number, lightness: number): vec3

  Return a color contained in a vec3.

  #### Parameters

  - hue: number

    Should be between 0 and 360

  - saturation: number

    Should be between 0 and 100

  - lightness: number

    Should be between 0 and 100

    source: https://stackoverflow.com/questions/2353211/hsl-to-rgb-color-conversion

  #### Returns vec3

  - Defined in helper/colors/hsl.ts:15